Subject: Re: bug#40926: spice-vdagent not scaling the display

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 08 Aug 2021 00:13:05 -0400

Hello,

[email-masked] writes:

> Hi,
> I have installed guix v1.1.0 as a guest OS using virt-manager. In the
> misc. services section of the manual 
> http://guix.gnu.org/manual/en/guix.html#Miscellaneous-Services , it is
> suggested to enable the spice-vdagent service. So, with help on irc
> chat I added the two lines in my config.scm
> (use-service modules ... spice)
> (spice-vdagent-service) in the services list.
>
> On rebooting with the newly configurated build, I'm able to use the
> clipboard feature of spice, but the display does not scale on resizing 
> the window (I have checked the option - Autoresize VM with the window
> in virt-manager).
>
> Relevant Log:
> localhost shepherd[1]: Service spice-vdagentd has been started.
> localhost spice-vdagentd: GetSeats failed: The name
> org.freedesktop.ConsoleKit was not provided by any .service files
> localhost spice-vdagentd: (console-kit) seat: (null)
> localhost spice-vdagentd: no session info, max 1 session agent allowed

Which desktop environment were you using?  If it was Xfce, it's a known
bug [0], and there's not much we can do about.  It should work fine out
of the box for GNOME.

Thank you,

Maxim

[0]  https://gitlab.xfce.org/xfce/xfce4-settings/-/issues/142